## errbot 6.1.1+ds

=== docs/requirements.txt ===
sphinx>=1.2

# Necessary until https://github.com/hsoft/sphinx-autodoc-annotation/issues/2
# is fixed and included into a new release.
https://github.com/zoni/sphinx-autodoc-annotation/archive/issue-2.zip

-e .
sleekxmpp
irc
pyfire
python-telegram-bot
slackclient
hypchat

=== debian/changelog ===
errbot (6.1.1+ds-2) unstable; urgency=medium

  * d/control
   - The binary package is architecture-independent, thus
     setting Architecture: all and removing Multi-Arch hint
   - Bump standards version to 4.5.0 (no changes required
     to make package compliant)

 -- Birger Schacht <birger@rantanplan.org>  Sat, 15 Feb 2020 20:45:43 +0100

errbot (6.1.1+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control
   - Bump standards version to 4.4.1 (no changes required
     to make package compliant)
   - Add new dependency python3-dulwich to Build-Depends and Depends
  * d/patches: update 0001-Remove-pygments-markdown-lexer-dependency
    patch

 -- Birger Schacht <birger@rantanplan.org>  Mon, 21 Oct 2019 20:16:07 +0200

errbot (6.0+ds-1) unstable; urgency=medium

  * Initial release. Closes: #803347

 -- Birger Schacht <birger@rantanplan.org>  Tue, 26 Mar 2019 09:27:23 +0100

=== debian/control ===
Source: errbot
Section: net
Priority: optional
Maintainer: Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 git-core,
 localehelper,
 python3-all,
 python3-ansi,
 python3-bottle,
 python3-colorlog,
 python3-flask,
 python3-jinja2,
 python3-markdown,
 python3-mock,
 python3-openssl,
 python3-pygments,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-webtest,
 python3-yapsy,
 python3-dulwich
Standards-Version: 4.5.0
Homepage: http://errbot.io
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/bisco-guest/errbot.git
Vcs-Browser: https://salsa.debian.org/bisco-guest/errbot

Package: errbot
Architecture: all
Depends:
 adduser,
 python3,
 python3-ansi,
 python3-bottle,
 python3-colorlog,
 python3-flask,
 python3-irc,
 python3-jinja2,
 python3-markdown,
 python3-openssl,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pygments,
 python3-requests,
 python3-setuptools,
 python3-sleekxmpp,
 python3-webtest,
 python3-yapsy,
 python3-dulwich,
 ${misc:Depends},
 ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Chatbot designed to be simple to extend with plugins written in Python
 Errbot is a chatbot. It allows you to start scripts interactively from your
 chatrooms for any reason: random humour, chatops, starting a build, monitoring
 commits, triggering alerts...
 .
 It is written and easily extensible in Python.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=errbot
#export PYBUILD_SYSTEM=distutils
export PYBUILD_DESTDIR_python3=debian/python3-errbot/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-errbot-dbg/

export PYBUILD_TEST_ARGS=-k "not test_broken_plugin and \
	not test_backup and \
	not test_plugin_cycle and \
	not test_check_dependencies_requirements_file_all_installed"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	python3 setup.py install --root=debian/errbot/ --install-layout=deb
	dh_install

override_dh_auto_test:
	localehelper LANG=en_US.UTF-8 dh_auto_test

override_dh_installsystemd:
	dh_installsystemd errbot@.service

override_dh_installinit:
	dh_installinit --no-start

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/errbot-$1\.tar\.gz/ \
  https://github.com/errbotio/errbot/tags .*/v?(\d\S+)\.tar\.gz

## errbot 6.1.4+ds

=== docs/requirements.txt ===
sphinx>=1.2

sphinx-autodoc-annotation

-e .
sleekxmpp
irc
pyfire
python-telegram-bot
slackclient
hypchat

=== debian/changelog ===
errbot (6.1.4+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control:
   - Add python3-daemonize to dependencies (Closes: #961674)
   - Bump debhelper-compat version to 13

 -- Birger Schacht <birger@rantanplan.org>  Thu, 28 May 2020 10:50:39 +0200

errbot (6.1.3+ds-1) unstable; urgency=medium

  * New upstream version 6.1.3+ds
  * Remove errbot/backends/images/prompt.svg from Files-Excluded
    (upstream fixed the copyright issue)
  * Add a d/gbp.conf file, mostly to specify debian-branch
  * Update patch to remove pygments-markdown-lexer from dependencies
  * Add Bug-Reporting upstream metadata to d/upstream/metadata

 -- Birger Schacht <birger@rantanplan.org>  Fri, 24 Apr 2020 15:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@rantanplan.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  git-core,
  localehelper,
@@ -11,6 +11,7 @@
  python3-ansi,
  python3-bottle,
  python3-colorlog,
+ python3-daemonize,
  python3-flask,
  python3-jinja2,
  python3-markdown,
@@ -37,6 +38,7 @@
  python3-ansi,
  python3-bottle,
  python3-colorlog,
+ python3-daemonize,
  python3-flask,
  python3-irc,
  python3-jinja2,

## errbot 6.1.7+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
EXTRADIR      = _extra

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Err.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Err.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Err"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Err"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
errbot (6.1.7+ds-1) unstable; urgency=medium

  * New upstream release
  * Update patchset

 -- Birger Schacht <birger@debian.org>  Tue, 29 Dec 2020 18:56:34 +0100

errbot (6.1.6+ds-1) unstable; urgency=medium

  * New upstream release
  * Replace personal debian-branch preference in d/gbp.conf with
    Python team consensus.
  * Update patchset: drop markdown patch, that was included upstream
  * Bump Standards-Version to 4.5.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 05 Dec 2020 19:52:05 +0100

errbot (6.1.5+ds-2) unstable; urgency=medium

  * Replace dependency sleekxmpp with slixmpp (sleekxmpp is
    deprecated)

 -- Birger Schacht <birger@debian.org>  Fri, 13 Nov 2020 20:52:41 +0100

errbot (6.1.5+ds-1) unstable; urgency=medium

  * New upstream release
  * Moving package to Debian Python Team
   + Update maintainer address in d/control and add uploader field
   + Update Vcs-* URLs in d/control to point to python-team salsa
     repository
   + Recreate repository with layout adhereing to DPT policy
  * Drop patch to disable slack tests and instead use
    PYBUILD_BEFORE_TEST to remove the test module
  * Backport upstream patch to update to markdown 3.3
  * Add new dependencies: python3-deepmerge and python3-importlib-metadata
  * Bump version in d/watch to 4

 -- Birger Schacht <birger@debian.org>  Fri, 13 Nov 2020 17:46:14 +0100

errbot (6.1.4+ds-2) unstable; urgency=medium

   * Add patch to work with python3-markdown 3 (Closes: #973102)
   * Update maintainer email address
   * Update CVS Urls

 -- Birger Schacht <birger@debian.org>  Fri, 30 Oct 2020 21:53:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: errbot
 Section: net
 Priority: optional
-Maintainer: Birger Schacht <birger@rantanplan.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -24,11 +25,11 @@
  python3-webtest,
  python3-yapsy,
  python3-dulwich
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://errbot.io
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/bisco-guest/errbot.git
-Vcs-Browser: https://salsa.debian.org/bisco-guest/errbot
+Vcs-Git: https://salsa.debian.org/python-team/packages/errbot.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/errbot
 
 Package: errbot
 Architecture: all
@@ -49,10 +50,12 @@
  python3-pygments,
  python3-requests,
  python3-setuptools,
- python3-sleekxmpp,
+ python3-slixmpp,
  python3-webtest,
  python3-yapsy,
  python3-dulwich,
+ python3-importlib-metadata,
+ python3-deepmerge,
  ${misc:Depends},
  ${python3:Depends}
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 	not test_backup and \
 	not test_plugin_cycle and \
 	not test_check_dependencies_requirements_file_all_installed"
+
+export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/backend_tests/slack_test.py
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## errbot 6.2.0%2Bds

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=errbot
export PYBUILD_DESTDIR=debian/python3-errbot/

export PYBUILD_TEST_ARGS=-k "not test_broken_plugin and \
	not test_backup and \
	not test_plugin_cycle and \
	not test_entrypoint_paths and \
	not test_check_dependencies_requirements_file_all_installed"

export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/backend_tests/slack_test.py

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	python3 setup.py install --root=debian/errbot/ --install-layout=deb
	dh_install

override_dh_auto_test:
	localehelper LANG=en_US.UTF-8 dh_auto_test

override_dh_installsystemd:
	dh_installsystemd errbot@.service

override_dh_installinit:
	dh_installinit --no-start

## errbot 6.2.0+ds

=== docs/requirements.txt ===
sphinx>=1.2

sphinx-autodoc-annotation

-e .
hypchat
irc
pytest
python-telegram-bot
slixmpp

=== debian/changelog ===
errbot (6.2.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Relax dependency on python3-flask

 -- Alexandre Detiste <tchet@debian.org>  Tue, 16 Jan 2024 08:21:48 +0100

errbot (6.2.0+ds-1) unstable; urgency=medium

  * Team upload. (Closes: #1054729)
  * New upstream version
  * Refresh patch
  * Remove obsolete dep python3-mock
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 15 Jan 2024 21:03:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  git-core,
  localehelper,
  python3-all,
@@ -16,7 +16,6 @@
  python3-flask,
  python3-jinja2,
  python3-markdown,
- python3-mock,
  python3-openssl,
  python3-pygments,
  python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 export DH_VERBOSE = 1
 export PYBUILD_NAME=errbot
-export PYBUILD_DESTDIR=debian/python3-errbot/
+#export PYBUILD_SYSTEM=distutils
+export PYBUILD_DESTDIR_python3=debian/python3-errbot/
+export PYBUILD_DESTDIR_python3-dbg=debian/python3-errbot-dbg/
 
 export PYBUILD_TEST_ARGS=-k "not test_broken_plugin and \
 	not test_backup and \

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
repacksuffix=+ds,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/errbot-$1\.tar\.gz/ \
  https://github.com/errbotio/errbot/tags .*/v?(\d\S+)\.tar\.gz
